Bug 417211 - Sliders can't be manipulated by scrolling while hovered
Summary: Sliders can't be manipulated by scrolling while hovered
Status: RESOLVED FIXED
Alias: None
Product: frameworks-qqc2-desktop-style
Classification: Unclassified
Component: general (show other bugs)
Version: 5.66.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-02-06 05:01 UTC by Ivaylo Atanasov
Modified: 2022-01-07 02:06 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.91


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivaylo Atanasov 2020-02-06 05:01:23 UTC
I love very much the Night Color temperature module and use it constantly. It would be good to enable mouse scroll over it in order to change the Night Color temperature, not only manual sliding. It would be awesome to enable auto focus on the Night Color temperature selector (and Left, Right, Up, Down keyboard, Plus, Minus keys work right away) when accessing the module from System Settings or from the Start menu ... Thank You!
Comment 1 Nate Graham 2020-02-06 20:14:17 UTC
I'm glad you like it!

You can already give focus to the slider by clicking on it or repeatedly hitting the tab key. Then once it's focused, you can manipulate it using the arrow keys.

it's true that you can't scroll over it to change the value. Most sliders implement this behavior so we should fix it here for consistency's sake (even though I don't like this behavior or think it's a good idea most of the time).

Looking deeper, it seems like this is a problem for all QQC2 sliders, not just the one in this KCM. Moving the bug appropriately.
Comment 2 Ivaylo Atanasov 2020-02-06 22:10:42 UTC
(In reply to Nate Graham from comment #1)
> I'm glad you like it!
> 
> You can already give focus to the slider by clicking on it or repeatedly
> hitting the tab key. Then once it's focused, you can manipulate it using the
> arrow keys.
> 
> it's true that you can't scroll over it to change the value. Most sliders
> implement this behavior so we should fix it here for consistency's sake
> (even though I don't like this behavior or think it's a good idea most of
> the time).
> 
> Looking deeper, it seems like this is a problem for all QQC2 sliders, not
> just the one in this KCM. Moving the bug appropriately.

Yeah, I know that tabbing or clicking would do the job, but I wondered whether it could be done with little or no effort immediately, right away - it matters when changing values constantly, or you may consider providing an option to add more time intervals for particular hours of the day/night - for example I would like to get a more red picture at midnight, not the same value as early evening ...

May be it will be good to have somewhere a global option to select whether or not scrolling on sliders be allowed ...
Comment 3 Nate Graham 2020-02-06 22:41:27 UTC
(In reply to Ivaylo Atanasov from comment #2)
> May be it will be good to have somewhere a global option to select whether
> or not scrolling on sliders be allowed ...
I would be very strongly in favor or that.

Step one is to make everything consistent of course. :)
Comment 4 Bug Janitor Service 2021-10-11 18:50:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/99
Comment 5 Bug Janitor Service 2022-01-06 17:14:20 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/116
Comment 6 Nate Graham 2022-01-07 02:06:14 UTC
Git commit a673947eff52283a691c4a1c42a2a5fc10577aa3 by Nate Graham.
Committed on 07/01/2022 at 02:04.
Pushed by ngraham into branch 'master'.

Slider: handle scrolling

The Plasma and QtWidgets sliders do this too; qqc2-desktop-style Sliders
should do the same for consistency, especially now that there's no
longer a conflict between scrollable controls and any scrollable view
they may live on.

Implementation is more or less copied from ComboBox.qml.
FIXED-IN: 5.91

M  +34   -0    org.kde.desktop/Slider.qml

https://invent.kde.org/frameworks/qqc2-desktop-style/commit/a673947eff52283a691c4a1c42a2a5fc10577aa3